# Interface UpdateFileResponse

interface UpdateFileResponse {
error?: string;
message: string;
newContent?: string;
success: boolean;
type: "updateFileResponse";
}

- Defined in node_modules/@codebolt/types/types/fs.d.ts:26

#####
Index

### Properties

error?
message
newContent?
success
type

## Properties

### `Optional` error

error?: string

- Defined in node_modules/@codebolt/types/types/fs.d.ts:31

### message

message: string

- Defined in node_modules/@codebolt/types/types/fs.d.ts:29

### `Optional` newContent

newContent?: string

- Defined in node_modules/@codebolt/types/types/fs.d.ts:30

### success

success: boolean

- Defined in node_modules/@codebolt/types/types/fs.d.ts:28

### type

type: "updateFileResponse"

- Defined in node_modules/@codebolt/types/types/fs.d.ts:27